## Class BaseType

    java.lang.Object
      |
      +--Type
            |
            +--BaseType

Direct Known Subclasses:
  BooleanType, CharacterType, IntegerType

public abstract class BaseType
extends Type

Field Summary

Fields inherited from class Type
`hamaDebug, type, used`

Constructor Summary
`BaseType()`

Methods inherited from class Type
`get_codegen_Type, get_Name, get_Type, get_UsedId, set_Type, set_UsedId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseType

    public BaseType()